
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Remove duplicated syscall entry.

This likely affects compilation with older GCC's (2.95.x), since in
arch/x86_64/kernel/syscall.c this will result in assigning twice the same
array element.

By experience, this works with newer GCC's but not with 2.95.3/4.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/unistd.h |    2 --
 1 files changed, 2 deletions(-)

diff -puN include/asm-x86_64/unistd.h~x86_64-remove-dup-syscall include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~x86_64-remove-dup-syscall	Wed Mar 30 15:47:07 2005
+++ 25-akpm/include/asm-x86_64/unistd.h	Wed Mar 30 15:47:07 2005
@@ -533,8 +533,6 @@ __SYSCALL(__NR_tgkill, sys_tgkill)
 __SYSCALL(__NR_utimes, sys_utimes)
 #define __NR_vserver		236
 __SYSCALL(__NR_vserver, sys_ni_syscall)
-#define __NR_vserver		236
-__SYSCALL(__NR_vserver, sys_ni_syscall)
 #define __NR_mbind 		237
 __SYSCALL(__NR_mbind, sys_mbind)
 #define __NR_set_mempolicy 	238
_
